Bug 105410 - Crash in: ScCondFormatDlg::OkPressed() if editing existing "Conditional Formatting" via Manage
Summary: Crash in: ScCondFormatDlg::OkPressed() if editing existing "Conditional Forma...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.2.4.2 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Eike Rathke
QA Contact:
URL:
Whiteboard: target:5.4.0 target:5.3.1 target:5.2.6
Keywords: haveBacktrace, regression
Depends on:
Blocks: Conditional-Formatting
  Show dependency treegraph
 
Reported: 2017-01-18 10:22 UTC by amersdorfer
Modified: 2017-07-17 09:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["ScCondFormatDlg::OkPressed()"]


Attachments
File to reproduce crash, see comment (15.45 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-01-18 13:44 UTC, amersdorfer
Details

Note You need to log in before you can comment on or make changes to this bug.
Description amersdorfer 2017-01-18 10:22:42 UTC
This bug was filed from the crash reporting server and is br-559bfe4a-6156-4ff4-b40f-2fcac7dc847d..
=========================================

Calc always (!) crashes when deleting an existing "Conditional Formatting".
- Press delete (ok)
- Click OK (crash)
Comment 1 Xisco Faulí 2017-01-18 10:45:10 UTC Comment hidden (obsolete)
Comment 2 Xisco Faulí 2017-01-18 10:57:33 UTC Comment hidden (obsolete)
Comment 3 Xisco Faulí 2017-01-18 11:02:29 UTC Comment hidden (obsolete)
Comment 4 Xisco Faulí 2017-01-18 11:05:31 UTC Comment hidden (obsolete)
Comment 5 Xisco Faulí 2017-01-18 13:10:53 UTC
Thank you for reporting the bug.
Unfortunately without clear steps to reproduce it, we cannot track down the origin of the problem.
Please provide a clearer set of step-by-step instructions on how to reproduce the problem.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the steps are provided
Comment 6 amersdorfer 2017-01-18 13:44:27 UTC
Created attachment 130523 [details]
File to reproduce crash, see comment

As requested, to reproduce the crash:
1. Click anywhere into column with existing conditional formatting
2. Go to menu for changing the conditional formatting.
3. Click on edit formatting.
4. Click on "yes" at warning (The selected cell contains conditional formatting ...)
5. Now you can see the condition itself.
6. Click on delete.
7. Click on OK -> crash
Comment 7 Xisco Faulí 2017-01-18 15:01:01 UTC
Do you reproduce it with a specific document? if so, Could you please attach the document?
Comment 8 amersdorfer 2017-01-18 15:15:00 UTC
Please take a look, I did of course attach the test-document I am referring to with Comment 6.
Comment 9 Xisco Faulí 2017-01-18 15:40:27 UTC
Ouch, sorry for that.

I can't reproduce it in

Versión: 5.2.5.1
Id. de compilación: 0312e1a284a7d50ca85a365c316c7abbf20a4d22
Subprocesos de CPU: 1; Versión de SO: Windows 6.1; Repr. de IU: predeterminado; 
Configuración regional: es-ES (es_ES); Calc: group

Do you have OpenCL enabled?
Comment 10 Julien Nabet 2017-01-18 15:55:56 UTC
It could be fixed with https://cgit.freedesktop.org/libreoffice/core/commit/?id=2fb220093f7178f75ebd582bbcd956c1ee7e03db on master sources.

I'll try to find some time to reproduce the crash and to apply the patch on my local sources.
Comment 11 Xisco Faulí 2017-01-18 16:04:14 UTC
(In reply to Julien Nabet from comment #10)
> It could be fixed with
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2fb220093f7178f75ebd582bbcd956c1ee7e03db on master sources.
> 
> I'll try to find some time to reproduce the crash and to apply the patch on
> my local sources.

Hello Julien,
(In reply to Julien Nabet from comment #10)
> It could be fixed with
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2fb220093f7178f75ebd582bbcd956c1ee7e03db on master sources.
> 
> I'll try to find some time to reproduce the crash and to apply the patch on
> my local sources.

Hello Julien,
They're different bugs. This one is reported in branch 5.2 which doesn't contain the commit that introduced bug 105411. bug 105411 was reported today by me, while trying to reproduce this bug...
Comment 12 MM 2017-01-18 16:55:45 UTC
Unconfirmed with v5.1.6.2 under ubuntu 16.04 x64.
Confirmed with v5.2.4.2 under ubuntu 16.04 x64.
Confirmed (under ubuntu 16.04 x64) with Version: 5.4.0.0.alpha0+
Build ID: ec1afa55e8ed79dc290caff74aaca304a77c3b4f
CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-01-14_01:33:36
Locale: en-US (en_US.UTF-8); Calc: single
Comment 13 Xisco Faulí 2017-01-18 19:49:54 UTC
(In reply to MM from comment #12)
> Unconfirmed with v5.1.6.2 under ubuntu 16.04 x64.
> Confirmed with v5.2.4.2 under ubuntu 16.04 x64.
> Confirmed (under ubuntu 16.04 x64) with Version: 5.4.0.0.alpha0+
> Build ID: ec1afa55e8ed79dc290caff74aaca304a77c3b4f
> CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2017-01-14_01:33:36
> Locale: en-US (en_US.UTF-8); Calc: single

Hi MM,
it's interesting you can reproduce it in 5.2.4.2 on Ubuntu...
Can you give me more details about it? any further step you did ?
Regarding the crash in 5.4.0.0.alpha0+ it should be fixed in tomorrow's build...
Comment 14 MM 2017-01-18 23:19:19 UTC
(In reply to Xisco Faulí from comment #13)
> (In reply to MM from comment #12)
> > Unconfirmed with v5.1.6.2 under ubuntu 16.04 x64.
> > Confirmed with v5.2.4.2 under ubuntu 16.04 x64.
> > Confirmed (under ubuntu 16.04 x64) with Version: 5.4.0.0.alpha0+
> > Build ID: ec1afa55e8ed79dc290caff74aaca304a77c3b4f
> > CPU Threads: 2; OS Version: Linux 4.4; UI Render: default; VCL: gtk2; 
> > TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> > 2017-01-14_01:33:36
> > Locale: en-US (en_US.UTF-8); Calc: single
> 
> Hi MM,
> it's interesting you can reproduce it in 5.2.4.2 on Ubuntu...
> Can you give me more details about it? any further step you did ?

Not really. I just followed the steps from comment 6. The only thing I didn't do, is step 4, didn't press any 'yes' as there was no question.
Just do: format > conditional formatting > manage > edit > delete > OK.

Also reproduced under ubuntu 16.10 x64 with Version: 5.2.5.0.0+
Build ID: 69954cc174f10fbf511a1aa14cf784e54259861c
CPU Threads: 2; OS Version: Linux 4.8; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:libreoffice-5-2, Time: 2017-01-06_00:32:30
Locale: en-US (en_US.UTF-8); Calc: single
Comment 15 MM 2017-01-18 23:47:30 UTC
And with v5.2.4.2 under winodws 10 x64.

crashreport.libreoffice.org/stats/crash_details/29f04c40-ccb6-454d-bbac-6eabfd2636b3
Comment 16 Eike Rathke 2017-01-30 16:57:06 UTC
Investigating.
Comment 17 Eike Rathke 2017-01-30 17:09:13 UTC
Note: this happens only if editing via Manage, not directly via Condition.
Comment 18 Commit Notification 2017-01-30 17:16:31 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e32c8293709d4940ccf9f3def963e5a87925e583

Resolves: tdf#105410 do not crash on a deleted format

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Eike Rathke 2017-01-30 17:23:05 UTC
Pending review
https://gerrit.libreoffice.org/33713 for 5-3
https://gerrit.libreoffice.org/33714 for 5-2
Comment 20 Commit Notification 2017-01-31 20:37:45 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9423d80e7a2c8dc323027425780a17e76b6d0c6&h=libreoffice-5-3

Resolves: tdf#105410 do not crash on a deleted format

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2017-01-31 21:00:14 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b227212f648ecdd88926cbcbb6144f254b96223&h=libreoffice-5-2

Resolves: tdf#105410 do not crash on a deleted format

It will be available in 5.2.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.